'statusbar border
' 检索状态栏窗口，当前水平和垂直边框宽度和之间的矩形边框的宽度。
' Parameters:
'   hStatus  - 状态栏句柄。
'   aBorders - 有三个长整数数组。
'              第1个接收水平边框的宽度，第2个接收垂直边框的宽度，第3个接收矩形之间的边界宽度。
' Return Values:
'如果操作成功，则返回值为 TRUE。
'如果操作失败，则返回值为 FALSE。
Function FF_StatusBar_GetBorders (ByVal hStatus as HWnd, aBorders() as Long) as Long
   Dim dwElements   as UInteger
   Dim FirstElement as Long
   
   dwElements = UBound(aBorders) - LBound(aBorders) + 1
   
   If dwElements <> 3 Then Exit Function
   FirstElement = LBound(aBorders)
   Function = SendMessage (hStatus, SB_GETBORDERS, 0, Cast(LPARAM, VarPtr(aBorders(FirstElement))))
End Function

